Skip to main content
`Ctrl`+`K`

# DMSwarmCreatePointPerCellCount

Count the number of points within all cells in the cell DM

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmCreatePointPerCellCount(DM sw, PetscInt *ncells, PetscInt **count)

Not Collective

## Input Parameter

- sw - the `DMSWARM`

## Output Parameters

- ncells - the number of cells in the cell `DM` (optional argument, pass `NULL` to ignore)

- count - array of length ncells containing the number of points per cell

## Notes

The array count is allocated internally and must be free’d by the user.

## See Also

`DMSWARM`, `DMSwarmSetType()`, `DMSwarmSetCellDM()`, `DMSwarmType`

## Level

beginner

## Location

src/dm/impls/swarm/swarmpic.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages